メインコンテンツへスキップ
POST
/
crm
/
v3
/
objects
/
0-162
/
search
Search across objects
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/0-162/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "after": "<string>",
  "filterGroups": [
    {
      "filters": [
        {
          "propertyName": "<string>",
          "highValue": "<string>",
          "value": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "limit": 123,
  "properties": [
    "<string>"
  ],
  "sorts": [
    "<string>"
  ],
  "query": "<string>"
}
'
import requests

url = "https://api.hubapi.com/crm/v3/objects/0-162/search"

payload = {
    "after": "<string>",
    "filterGroups": [{ "filters": [
                {
                    "propertyName": "<string>",
                    "highValue": "<string>",
                    "value": "<string>",
                    "values": ["<string>"]
                }
            ] }],
    "limit": 123,
    "properties": ["<string>"],
    "sorts": ["<string>"],
    "query": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    after: '<string>',
    filterGroups: [
      {
        filters: [
          {
            propertyName: '<string>',
            highValue: '<string>',
            value: '<string>',
            values: ['<string>']
          }
        ]
      }
    ],
    limit: 123,
    properties: ['<string>'],
    sorts: ['<string>'],
    query: '<string>'
  })
};

fetch('https://api.hubapi.com/crm/v3/objects/0-162/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "NTI1Cg%3D%3D",
      "link": "?after=NTI1Cg%3D%3D"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json

Describes a search request

after
string
必須

A paging cursor token for retrieving subsequent pages.

filterGroups
object[]
必須

Up to 6 groups of filters defining additional query criteria.

limit
integer<int32>
必須

The maximum results to return, up to 200 objects.

properties
string[]
必須

A list of property names to include in the response.

sorts
string[]
必須

Specifies sorting order based on object properties.

query
string

The search query string, up to 3000 characters.

レスポンス

successful operation

Represents a list of simple objects returned from an API request, along with the total count of objects available.

results
object[]
必須
total
integer<int32>
必須

The number of available results

paging
object
最終更新日 2026年4月10日